/* Header file for ibd_haplo programs -- taking stuff out of ibd_haplo.c      */
/* Program to do a basic analysis of IBD inference with no LD.                */
/* Up to 4 genomes, or genotypic pairs.                                       */

typedef struct _Chromseg
{
   int   fgl;
   double endpos;
} Chromseg;

typedef struct _Chromseglist
{
   struct _Chromseg *current;
   struct _Chromseglist *next;
} Chromseglist;

#define DISCORDANT  -1            /* Discordant phasing at current marker.    */

int   skipmark;                   /* Number of markers skipped in analysis.   */

double **pprob, *penmat;          /* nph pheno, ns states.                    */
double **transmat;                /* ns x ns transition matrix.               */
                                  /* penmat and transmat now reset each locus */
                                  /*  and penmat only for given data.         */
double tmat[15][15];              /* The base transition matrix; used to      */
int tmatset = 0;                  /*  then determine locus-to-locus transmat. */

double hh, gg;                    /* Parameters of the Q-matrix.              */

